AlgorithmParametersTemplate< T > Class Template Reference

Template base class for AlgorithmParameters. More...

Inheritance diagram for AlgorithmParametersTemplate< T >:

## Public Member Functions

| AlgorithmParametersTemplate (const char *name, const T &value, bool throwIfNotUsed)
| Construct an AlgorithmParametersTemplate. More...
void | AssignValue (const char *name, const std::type_info &valueType, void *pValue) const
void | MoveInto (void *buffer) const
Public Member Functions inherited from AlgorithmParametersBase
| AlgorithmParametersBase (const AlgorithmParametersBase &x)
| AlgorithmParametersBase (const char *name, bool throwIfNotUsed)
| Construct a AlgorithmParametersBase. More...
bool | GetVoidValue (const char *name, const std::type_info &valueType, void *pValue) const

## Detailed Description

### template<class T>
class AlgorithmParametersTemplate< T >

Template base class for AlgorithmParameters.

Template Parameters

  T | the class or type

Definition at line 438 of file algparam.h.

## Constructor & Destructor Documentation

## AlgorithmParametersTemplate()

template<class T>

AlgorithmParametersTemplate< T >::AlgorithmParametersTemplate | ( | const char * | name,
|  | const T & | value,
|  | bool | throwIfNotUsed
| ) |  |

inline

Construct an AlgorithmParametersTemplate.

Parameters

  name | the name of the value
  value | a reference to the value
  throwIfNotUsed | flags indicating whether an exception should be thrown

If throwIfNotUsed is true, then a ParameterNotUsed exception will be thrown in the destructor if the parameter is not not retrieved.

Definition at line 447 of file algparam.h.

The documentation for this class was generated from the following file:

- algparam.h